Subject: Re: linux-next: manual merge of the imx-mxs tree with the net tree

From: Shawn Guo <[email-masked]>
Date: Thu, 12 Oct 2023 08:43:56 +0800

On Thu, Oct 12, 2023 at 10:14:34AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the imx-mxs tree got a conflict in:
> 
>   arch/arm64/boot/dts/freescale/imx93.dtsi
> 
> between commit:
> 
>   23ed2be5404d ("arm64: dts: imx93: add the Flex-CAN stop mode by GPR")

Marc,

Is there any particular reason why this dts change needs to go via net
tree?  Otherwise, could you drop it from net and let it go via i.MX tree?

Shawn

> 
> from the net tree and commit:
> 
>   d34d2aa594d0 ("arm64: dts: imx93: add edma1 and edma2")
> 
> from the imx-mxs tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.